Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231204 - bsd-games buildrequires libtermcap-devel
Summary: bsd-games buildrequires libtermcap-devel
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bsd-games
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Wart
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 226748
TreeView+ depends on / blocked
 
Reported: 2007-03-06 19:05 UTC by Miroslav Lichvar
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-06 22:46:06 UTC


Attachments (Terms of Use)

Description Miroslav Lichvar 2007-03-06 19:05:51 UTC
Description of problem:
bsd-games BuildRequires libtermcap-devel package, but it's linked with
libncurses. Please remove the requirement, libtermcap and termcap packages will
be dropped in F7.

Version-Release number of selected component (if applicable):
bsd-games-2.17-17.fc7

Comment 1 Wart 2007-03-06 19:44:50 UTC
It looks like I will also have to replace references to <termcap.h> to
<ncurses/termcap.h> in the source files.

Comment 2 Wart 2007-03-06 22:46:06 UTC
The -18 release fixes this problem and has just been built.


Note You need to log in before you can comment on or make changes to this bug.